class CreateEvents < ActiveRecord::Migration[5.2]
  def change
    create_table :resource_planner_events do |t|
      t.references :event_owner, :polymorphic => true, :null => true, :index => false

      t.references :parent_event, :default => nil
      t.references :event_type, :default => nil

      t.string     :name
      t.text       :description

      t.string     :dtstart_timezone
      t.string     :dtend_timezone

      t.text       :ical_expression

      t.timestamps :null => false
    end
  end
end
