class CreateEventUnitSubscriptions < ActiveRecord::Migration[5.2]
  def change
    create_table :resource_planner_event_unit_subscriptions do |t|
      #t.references :event_unit, foreign_key: true
      t.references :event_unit, index: { name: 'index_event_unit_subscriptions_on_event_unit' }
      t.references :resource, polymorphic: true, index: { name: 'index_event_unit_subscriptions_on_resource' }

      t.string     :name
      t.text       :notes

      t.integer    :quantity

      t.timestamps :null => false
    end
  end
end
