class CreateAvailabiltyDateDefinitions < ActiveRecord::Migration[5.2]
  def change
    create_table :resource_planner_availabilty_date_definitions do |t|
      t.string :name

      t.references :resource, polymorphic: true, index: { name: 'index_availabilty_date_definitions_on_resource_type_and_id' }
      #t.references :availabilty_date, foreign_key: true, index: { name: 'index_availabilty_date_definitions_on_availabilty_date_id' }
      t.references :availabilty_date, index: { name: 'index_availabilty_date_definitions_on_availabilty_date_id' }

      t.timestamps :null => false
    end
  end
end
