class CreateAvailabiltyRestrictionDefinitions < ActiveRecord::Migration[5.2]
  def change
    create_table :resource_planner_availabilty_restriction_definitions do |t|
      t.string :name

      t.references :resource, polymorphic: true, index: { name: 'index_availabilty_restrictions_on_resource_type_and_id' }
      #t.references :availabilty_restriction, foreign_key: true, index: { name: 'index_availabilty_restrictions_on_availabilty_restriction_id' }
      t.references :availabilty_restriction, index: { name: 'index_availabilty_restrictions_on_availabilty_restriction_id' }

      t.timestamps :null => false
    end
  end
end
